# Uses of Class
org.eclipse.jdt.core.compiler.InvalidInputException

Packages that use InvalidInputException
Package
Description
org.eclipse.jdt.core.compiler
This package contains compiler associated infrastructure APIs.

## Uses of InvalidInputException in org.eclipse.jdt.core.compiler

Methods in org.eclipse.jdt.core.compiler that throw InvalidInputException
Modifier and Type
Method
Description
`int`
IScanner.`getNextToken()`
Read the next token in the source, and answers its ID as specified by `ITerminalSymbols`.